<!-- 搜索表单 -->
<template>
    <ele-card :body-style="{ paddingBottom: '8px' }">
        <ProSearch
            :items="formItems"
            ref="searchRef"
            @search="search"
            :initKeys="initKeys"
        />
    </ele-card>
</template>

<script setup>
    import { reactive, ref, defineEmits } from 'vue';
    import ProSearch from '@/components/CommonPage/ProSearch2.vue';

    const emit = defineEmits(['search']);

    const formItems = computed(() => {
        return [
            { type: 'input', label: '用户ID', prop: 'userId' },
            { type: 'input', label: '用户昵称', prop: 'nickName' },
            { type: 'input', label: '手机号', prop: 'mobile' }
        ];
    });

    const initKeys = reactive({
        nickName: '',
        mobile: ''
    });

    const searchRef = ref(null);
    /** 搜索 */
    const search = (data) => {
        emit('search', { ...data });
    };
</script>
